Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QLocale.FormatType

    java.lang.Object
      java.lang.Enum<QLocale.FormatType>
          com.trolltech.qt.core.QLocale.FormatType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QLocale.FormatType>

Enclosing class:
  QLocale

    public static enum QLocale.FormatType

extends java.lang.Enum<QLocale.FormatType>
implements QtEnumerator

This enum describes the types of format that can be used when converting `QDate` and `QTime` objects to strings.

Enum Constant Summary
`LongFormat` Internal.
`ShortFormat` Internal.

Method Summary
`static QLocale.FormatType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLocale.FormatType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QLocale.FormatType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LongFormat

    public static final QLocale.FormatType LongFormat

  Internal.

### ShortFormat

    public static final QLocale.FormatType ShortFormat

  Internal.

Method Detail

### values

    public static final QLocale.FormatType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QLocale.FormatType c : QLocale.FormatType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QLocale.FormatType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLocale.FormatType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD